#####################################################################
# c compiler
#####################################################################
CC = gcc
CCFLAGS = \
	-Wall -O2 -fstrength-reduce -finline-functions \
	-freduce-all-givs -ffast-math -fomit-frame-pointer \
#	-DARCH_IS_IA32 -DUSE_MMX -DUSE_MMXEXT

#####################################################################
# assembler
#####################################################################
AS = nasm
ASFLAGS = -I$(<D)/ -f win32 -DPREFIX

#####################################################################
# windres
#####################################################################
WINDRES = windres
WINDRESFLAGS =

#####################################################################
# archive manager
#####################################################################
AR = ar
ARFLAGS = r

#####################################################################
# remove tool
#####################################################################
RM = rm
RMFLAGS = -rf

#####################################################################
# library
#####################################################################
LIB = ../lib/libbw.a

#####################################################################
# suffixes
#####################################################################
.SUFFIXES: .c .asm .rc .o

#####################################################################
# c rule
#####################################################################
.c.o:
	@$(CC) $(CCFLAGS) -c $< -o $@

#####################################################################
# asm rule
#####################################################################
.asm.o:
	@$(AS) $(ASFLAGS) $< -o $@

#####################################################################
# rc rule
#####################################################################
.rc.o:
	@$(WINDRES) $(WINDRESFLAGS) $< -o $@