/**********************************************************
 * BWave Video Codec
 * decoder header file
 * Copyricht (c) 2004 by Thomas Bergwinkl
 **********************************************************/

#ifndef __DECORE_H__
#define __DECORE_H__


typedef struct {
	int width;
	int height;
	IMAGE cur_img;
	WL_IMAGE wl_img;

} BW_DEC_HANDLE;


void decore_create(BW_DEC_PARAM *param);
void decore_decode(BW_DEC_HANDLE *handle, BW_DEC_FRAME *frame);
void decore_destroy(BW_DEC_HANDLE *handle);


#endif /*__DECORE_H__*/

