/**********************************************************
 * BWave Video Codec
 * encoder header file
 * Copyricht (c) 2004 by Thomas Bergwinkl
 **********************************************************/

#ifndef __ENCORE_H__
#define __ENCORE_H__


typedef struct {
	int frame_cnt;
	int width;
	int height;
	IMAGE cur_img;
	WL_IMAGE wl_img;

} BW_ENC_HANDLE;


void encore_create(BW_ENC_PARAM *param);
void encore_encode(BW_ENC_HANDLE *handle, BW_ENC_FRAME *frame);
void encore_destroy(BW_ENC_HANDLE *handle);


#endif /*__ENCORE_H__*/

