/**********************************************************
 * BWave Video Codec
 * global header file
 * Copyricht (c) 2004 by Thomas Bergwinkl
 **********************************************************/

#ifndef __GLOBAL_H__
#define __GLOBAL_H__

#ifndef MIN
#define MIN(A,B)	((A)<(B)?(A):(B))
#endif

#ifndef MAX
#define MAX(A,B)	((A)>(B)?(A):(B))
#endif

#ifndef ABS
#define ABS(A)	(((A)>0)?(A):-(A)) 
#endif

#ifndef CLIP
#define CLIP(X,A,B)	(((X)<(A))?(A):((X)>(B))?(B):(X))
#endif

#include <stdlib.h>
#include <string.h>
#include "libbw.h"
#include "types.h"
#include "utils/cpu.h"
#include "utils/emms.h"
#include "utils/memory.h"
#include "image/colorspace.h"
#include "image/image.h"
#include "wavelet/dwt.h"
#include "wavelet/wavelet.h"
#include "bitstream/bitstream.h"
#include "bitstream/coding.h"
#include "bitstream/compress.h"

#include "encore.h"
#include "decore.h"

#endif /*__GLOBAL_H__*/
