/**********************************************************
 * BWave Video Codec
 * API handle file
 * Copyricht (c) 2004 by Thomas Bergwinkl
 **********************************************************/

#include "global.h"


void bw_encore(void *handle, int option, void *param) {
	switch(option) {
		case BW_ENC_CREATE:
			encore_create((BW_ENC_PARAM*)param);
			break;
			
		case BW_ENC_ENCODE:
			encore_encode((BW_ENC_HANDLE*)handle, (BW_ENC_FRAME*)param);
			break;
			
		case BW_ENC_DESTROY:
			encore_destroy((BW_ENC_HANDLE*)handle);
			break;
	}
}



void bw_decore(void *handle, int option, void *param) {
	switch(option) {
		case BW_DEC_CREATE:
			decore_create((BW_DEC_PARAM*)param);
			break;
			
		case BW_DEC_DECODE:
			decore_decode((BW_DEC_HANDLE*)handle, (BW_DEC_FRAME*)param);
			break;
			
		case BW_ENC_DESTROY:
			decore_destroy((BW_DEC_HANDLE*)handle);
			break;
	}
}
