/**********************************************************
 * BWave Video Codec
 * cpu
 * Copyricht (c) 2004 by Thomas Bergwinkl
 **********************************************************/
 
#include "../global.h"
 
void cpu_init() {
	emms = emms_c;
	yv12_to_yv12    = yv12_to_yv12_c;
	rgb555_to_yv12  = rgb555_to_yv12_c;
	rgb565_to_yv12  = rgb565_to_yv12_c;
	bgr_to_yv12     = bgr_to_yv12_c;
	bgra_to_yv12    = bgra_to_yv12_c;
	abgr_to_yv12    = abgr_to_yv12_c;
	rgba_to_yv12    = rgba_to_yv12_c;
	argb_to_yv12    = argb_to_yv12_c;
	yuyv_to_yv12    = yuyv_to_yv12_c;
	uyvy_to_yv12    = uyvy_to_yv12_c;
	rgb555i_to_yv12 = rgb555i_to_yv12_c;
	rgb565i_to_yv12 = rgb565i_to_yv12_c;
	bgri_to_yv12    = bgri_to_yv12_c;
	bgrai_to_yv12   = bgrai_to_yv12_c;
	abgri_to_yv12   = abgri_to_yv12_c;
	rgbai_to_yv12   = rgbai_to_yv12_c;
	argbi_to_yv12   = argbi_to_yv12_c;
	yuyvi_to_yv12   = yuyvi_to_yv12_c;
	uyvyi_to_yv12   = uyvyi_to_yv12_c;
	yv12_to_rgb555  = yv12_to_rgb555_c;
	yv12_to_rgb565  = yv12_to_rgb565_c;
	yv12_to_bgr     = yv12_to_bgr_c;
	yv12_to_bgra    = yv12_to_bgra_c;
	yv12_to_abgr    = yv12_to_abgr_c;
	yv12_to_rgba    = yv12_to_rgba_c;
	yv12_to_argb    = yv12_to_argb_c;
	yv12_to_yuyv    = yv12_to_yuyv_c;
	yv12_to_uyvy    = yv12_to_uyvy_c;
	yv12_to_rgb555i = yv12_to_rgb555i_c;
	yv12_to_rgb565i = yv12_to_rgb565i_c;
	yv12_to_bgri    = yv12_to_bgri_c;
	yv12_to_bgrai   = yv12_to_bgrai_c;
	yv12_to_abgri   = yv12_to_abgri_c;
	yv12_to_rgbai   = yv12_to_rgbai_c;
	yv12_to_argbi   = yv12_to_argbi_c;
	yv12_to_yuyvi   = yv12_to_yuyvi_c;
	yv12_to_uyvyi   = yv12_to_uyvyi_c;

#ifdef USE_MMX
	emms = emms_mmx;
	yv12_to_yv12  = yv12_to_yv12_mmx;
	bgr_to_yv12   = bgr_to_yv12_mmx;
	bgra_to_yv12  = bgra_to_yv12_mmx;
	yuyv_to_yv12  = yuyv_to_yv12_mmx;
	uyvy_to_yv12  = uyvy_to_yv12_mmx;
	yv12_to_bgr   = yv12_to_bgr_mmx;
	yv12_to_bgra  = yv12_to_bgra_mmx;
	yv12_to_yuyv  = yv12_to_yuyv_mmx;
	yv12_to_uyvy  = yv12_to_uyvy_mmx;
	yv12_to_yuyvi = yv12_to_yuyvi_mmx;
	yv12_to_uyvyi = yv12_to_uyvyi_mmx;
#endif

#ifdef USE_3DNOW
	emms = emms_3dn;
	yuyv_to_yv12  = yuyv_to_yv12_3dn;
	uyvy_to_yv12  = uyvy_to_yv12_3dn;
#endif

#ifdef USE_MMXEXT
	yv12_to_yv12  = yv12_to_yv12_xmm;
	yuyv_to_yv12  = yuyv_to_yv12_xmm;
	uyvy_to_yv12  = uyvy_to_yv12_xmm;
#endif

}
