/**********************************************************
 * BWave Video Codec
 * bitstream management header file
 * Copyricht (c) 2004 by Thomas Bergwinkl
 **********************************************************/

#ifndef __BITSTREAM_H__
#define __BITSTREAM_H__


typedef struct {
	int pos;
	int max;
	uint8_t *data;

} BITSTREAM;


void bitstream_init(BITSTREAM *bits, void *data, int max);
void bitstream_set_bit(BITSTREAM *bits, int bit);
int bitstream_get_bit(BITSTREAM *bits);
void bitstream_set_bits(BITSTREAM *bits, uint32_t bit, int size);
uint32_t bitstream_get_bits(BITSTREAM *bits, int size);


#endif /*__BITSTREAM_H__*/
